### Method

# Foundry DeviceManager dup_device

#### Declaration [src]

    FoundryDevice*
    foundry_device_manager_dup_device (
      FoundryDeviceManager* self
    )

#### Description [src]

Gets the active device to build for.

Typically this is a `FoundryLocalDevice` unless targeting a non-local device.

#### Return value

Type: `FoundryDevice`

A `FoundryDevice` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.